#ifndef _AG7100_PHY_H
#define _AG7100_PHY_H

#include "ag7100.h"
#include "ipPhy.h"

#define BIT(_x) (1 << (_x))

#define phy_reg_read        ag7100_mii_read
#define phy_reg_write       ag7100_mii_write

#define ag7100_phy_setup(unit)          ip_phySetup(unit)
#define ag7100_phy_is_up(unit)          ip_phyIsUp(unit)
#define ag7100_phy_speed(unit)          ip_phySpeed(unit)
#define ag7100_phy_is_fdx(unit)         ip_phyIsFullDuplex(unit)

/*#if 1

#include "ksz_phy.h"

#define ag7100_phy_setup(unit)          ksz_phy_setup(unit)
#define ag7100_phy_is_up(unit)          ksz_phy_is_up(unit)
#define ag7100_phy_speed(unit)          ksz_phy_speed(unit)
#define ag7100_phy_is_fdx(unit)         ksz_phy_is_fdx(unit)

#else

#include "rtPhy.h"

#define ag7100_phy_setup(unit)          rt_phySetup(unit, 0)
#define ag7100_phy_is_up(unit)          rt_phyIsUp(unit)
#define ag7100_phy_speed(unit)          rt_phySpeed(unit)
#define ag7100_phy_is_fdx(unit)         rt_phyIsFullDuplex(unit)

#endif

#define ag7100_phy_is_lan_pkt           athr_is_lan_pkt
#define ag7100_phy_set_pkt_port         athr_set_pkt_port
#define ag7100_phy_tag_len              ATHR_VLAN_TAG_SIZE
#define ag7100_phy_get_counters         athr_get_counters
*/

static inline unsigned int 
ag7100_get_link_status(int unit, int *link, int *fdx, ag7100_phy_speed_t *speed)
{
  *link=ag7100_phy_is_up(unit);
  *fdx=ag7100_phy_is_fdx(unit);
  *speed=ag7100_phy_speed(unit);
  return 0;
}

static inline int
ag7100_print_link_status(int unit)
{
  return -1;
}

#endif

